{
    "array": [
        {
            "title": "广点通",
            "ltName": "tgd",
            "manifest": [
                "<service android:name=\"com.qq.e.comm.DownloadService\" android:exported=\"false\" />",
                "<activity android:name=\"com.qq.e.ads.ADActivity\"  android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.PortraitADActivity\" android:screenOrientation=\"portrait\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.qq.e.ads.LandscapeADActivity\" android:screenOrientation=\"landscape\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />"
            ],
            "class": [
                "com.qq.e.ads.ADActivity",
                "com.qq.e.ads.PortraitADActivity",
                "com.qq.e.ads.LandscapeADActivity",
                "com.qq.e.comm.DownloadService"
            ],
            "random": [
                "com",
                "ww",
                "dt"
            ],
            "rename": {
                "ADActivity": "Activity",
                "PortraitADActivity": "PortraitActivity",
                "LandscapeADActivity": "LandscapeActivity",
                "DownloadService": "DownloadService"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": false,
            "manual": [
                {
                    "class": "com.qq.e.comm.a",
                    "find": "com/qq/e/ads/ADActivity"
                }
            ]
        },
        {
            "title": "聚量",
            "ltName": "jla",
            "manifest": [
                "<activity android:name=\"com.uniplay.adsdk.AdActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\">/>",
                "<activity android:name=\"com.uniplay.adsdk.InterstitialAdActivity\"  android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" android:theme=\"@android:style/Theme.Translucent\"/>",
                "<activity android:name=\"com.uniplay.adsdk.NetworkChangeActivity\" android:screenOrientation=\"portrait\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<activity android:name=\"com.joomob.activity.AdVideoActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" />",
                "<service android:name=\"com.uniplay.adsdk.DownloadService\"/>"
            ],
            "class": [
                "com.uniplay.adsdk.AdActivity",
                "com.uniplay.adsdk.InterstitialAdActivity",
                "com.uniplay.adsdk.NetworkChangeActivity",
                "com.joomob.activity.AdVideoActivity",
                "com.uniplay.adsdk.DownloadService"
            ],
            "random": [
                "com",
                "ww",
                "ut"
            ],
            "rename": {
                "AdActivity": "Activity",
                "InterstitialAdActivity": "InterstitialActivity",
                "NetworkChangeActivity": "NetworkChangeActivity",
                "AdVideoActivity": "VideoActivity",
                "DownloadService": "DownloadService"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": true,
            "manual": [
                {
                    "class": "com.uniplay.adsdk.basic.RuleManage",
                    "find": ".method public configRight",
                    "msg": "仅保留const-string v0, \"\"    return-object v0",
                    "data":".method public configRight(Landroid/content/Context;Ljava/lang/String;)Ljava/lang/String;\n.locals 3\n.prologue\nconst-string v0, \"\" \nreturn-object v0\n",
                    "end":".end method"
                }
            ]
        },
        {
            "title": "万维",
            "ltName": "OnewaySDK_QY.lt",
            "manifest": [
                "<activity android:name=\"mobi.oneway.export.AdShowActivity\" android:configChanges=\"fontScale|keyboard|keyboardHidden|locale|mnc|mcc|navigation|orientation|screenLayout|screenSize|smallestScreenSize|uiMode|touchscreen\" android:hardwareAccelerated=\"true\" android:launchMode=\"singleTask\" android:theme=\"@android:style/Theme.NoTitleBar.Fullscreen\" />"
            ],
            "class": [
                "mobi.oneway.sdk.AdShowActivity"
            ],
            "random": [
                "com",
                "ww",
                "wt"
            ],
            "rename": {
                "AdShowActivity": "ShowActivity"
            },
            "isAllPackage": false,
            "isReName": true,
            "isJarLib": false,
            "packagerlimit": 3,
            "isManual": true,
            "manual": [
                {
                    "class": "mobi.oneway.sdk.port.Unit",
                    "find": "const-string v0, \"mobi.oneway.export.AdShowActivity\""
                },
                {
                    "class": "mobi.oneway.sdk.b.c",
                    "find": "const-string v1, \"mobi.oneway.export.OWProvider\""
                }
            ]
        },
        {
            "title": "趣赢SDK",
            "ltName": "qysdk.jar",
            "manifest": [
                "<activity android:name=\"com.qy.sdk.views.MyActivity\" android:configChanges=\"keyboard|keyboardHidden|orientation|screenSize\" android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" />",
                "<receiver android:name=\"com.qy.sdk_rx.listeners.QyReceiver\"> <intent-filter> <action android:name=\"android.net.conn.CONNECTIVITY_CHANGE\" /></intent-filter> <intent-filter><action android:name=\"android.intent.action.PACKAGE_ADDED\" /><data android:scheme=\"package\" /></intent-filter><intent-filter><action android:name=\"android.intent.action.DOWNLOAD_COMPLETE\" /></intent-filter></receiver>",
                "<provider android:name=\"com.qy.sdk.TMProvider\" android:authorities=\"${applicationId}.TTMultProvider\" android:exported=\"false\" android:grantUriPermissions=\"true\"> <meta-data android:name=\"android.support.FILE_PROVIDER_PATHS\" android:resource=\"@xml/file_paths\" /></provider>"
            ],
            "class": [
                "com.qy.sdk.views.MyActivity",
                "com.qy.sdk_rx.listeners.QyReceiver",
                "com.qy.sdk.TMProvider"
            ],
            "random": [
                "com",
                "opx",
                "bh"
            ],
            "rename": {
                "MyActivity": "{>+}Activity",
                "QyReceiver": "{>+}Receiver",
                "TMProvider": "TProvider"
            },
            "isAllPackage": true,
            "regexPackage":".qy",
            "isReName": true,
            "isJarLib": true,
            "packagerlimit": 3,
            "isManual": false,
            "manual": [],
            "dex2jar": "D:\\反编译\\dex2jar-2.0\\_d2j-dex2jar.bat"
        },
        {
            "title": "穿山甲",
            "ltName": "open_ad_sdk.jar",
            "manifest": [
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTPlayableLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTVideoLandingPageActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTRewardVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTRewardExpressVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTFullScreenVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTFullScreenExpressVideoActivity\"  android:configChanges=\"keyboardHidden|orientation|screenSize\"  android:launchMode=\"standard\" /> ",
                "<activity  android:name=\"com.bytedance.sdk.openadsdk.activity.TTDelegateActivity\"  android:launchMode=\"singleTask\"  android:theme=\"@android:style/Theme.Translucent.NoTitleBar\" /> ",
                "<service android:name=\"com.bytedance.sdk.openadsdk.multipro.aidl.BinderPoolService\" /> ",
                "<receiver  android:name=\"com.bytedance.embedapplog.collector.Collector\"  android:enabled=\"true\"  android:exported=\"true\" /> ",
                "<service  android:name=\"com.bytedance.tea.crash.upload.CrashUploadService\"  android:process=\":npth\" />"
            ],
            "class":[
                "com.bytedance.sdk.openadsdk.activity.TTLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTPlayableLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTVideoLandingPageActivity",
                "com.bytedance.sdk.openadsdk.activity.TTRewardVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTRewardExpressVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTFullScreenVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTFullScreenExpressVideoActivity",
                "com.bytedance.sdk.openadsdk.activity.TTDelegateActivity",
                "com.bytedance.sdk.openadsdk.multipro.aidl.BinderPoolService",
                "com.bytedance.embedapplog.collector.Collector",
                "com.bytedance.tea.crash.upload.CrashUploadService",
                "com.bytedance.sdk.openadsdk.activity.TTBaseVideoActivity"
            ],
            "random":[
                "com",
                "ww",
                "za",
                "csc"
            ],
            "isAllPackage":false,
            "isReName":true,
            "isJarLib":true,
            "packagerlimit":3,
            "isManual":true,
            "outManifest":false,
            "manual":[
                {
                    "class":"com.bytedance.sdk.openadsdk.downloadnew.a.d",
                    "find":" const-string v1, \".TTFileProvider\"",
                    "data":" const-string v1, \".fileprovider\"\n",
                    "end":" invoke-virtual {v2, v1}, Ljava/lang/StringBuilder;->append(Ljava/lang/String;)Ljava/lang/StringBuilder;",
                    "msg":"把TTFileProvider改成fileprovider"
                }
            ],
            "rename":{
                "TTLandingPageActivity":"{>+/activity}TTLandingPageActivity",
                "TTPlayableLandingPageActivity":"{>+/activity}TTPlayableLandingPageActivity",
                "TTVideoLandingPageActivity":"{>+/activity}TTVideoLandingPageActivity",
                "TTRewardVideoActivity":"{>+/activity}TTRewardVideoActivity",
                "TTRewardExpressVideoActivity":"{>+/activity}TTRewardExpressVideoActivity",
                "TTFullScreenVideoActivity":"{>+/activity}TTFullScreenVideoActivity",
                "TTFullScreenExpressVideoActivity":"{>+/activity}TTFullScreenExpressVideoActivity",
                "TTDelegateActivity":"{>+/activity}TTDelegateActivity",
                "TTBaseVideoActivity":"{>+/activity}TTBaseVideoActivity",
                "BinderPoolService":"BinderPoolService",
                "Collector":"Collector",
                "CrashUploadService":"CrashUploadService"
            },
            "filter":[
                "com.android",
                "com.xandroid",
                "com.google",
                "com.android",
                "com.androidx"
            ]

        }
    ]
}